# proxyhost

Sets the hostname of the HTTP proxy that omhttp should use.

This parameter applies to omhttp: HTTP Output Module.

Name:

  proxyhost

Scope:

  input

Type:

  word

Default:

  input=none

Required?:

  no

Introduced:

  Not specified

## Description

Configures the libcurl `CURLOPT_PROXY` option for HTTP requests issued by omhttp. For more details see the libcurl documentation for CURLOPT_PROXY.

## Input usage

    module(load="omhttp")

    action(
        type="omhttp"
        proxyHost="proxy.internal.example"
    )

## See also

See also omhttp: HTTP Output Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.